AttributeError: 'module' object has no attribute 'LibvirtDriver'

Bug #1410626 reported by Matt Riedemann on 2015-01-14
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Critical
Adam Gandelman

Bug Description

http://logs.openstack.org/33/121033/6/gate/gate-grenade-dsvm/44f3c84/logs/old/screen-n-cpu.txt.gz

2015-01-14 02:57:57.372 11745 ERROR nova.virt.driver [-] Unable to load the virtualization driver
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver Traceback (most recent call last):
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver File "/opt/stack/old/nova/nova/virt/driver.py", line 1402, in load_compute_driver
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver virtapi)
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver File "/opt/stack/old/nova/nova/openstack/common/importutils.py", line 52, in import_object_ns
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver return import_class(import_str)(*args, **kwargs)
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver File "/opt/stack/old/nova/nova/openstack/common/importutils.py", line 33, in import_class
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver traceback.format_exception(*sys.exc_info())))
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver ImportError: Class LibvirtDriver cannot be found (['Traceback (most recent call last):\n', ' File "/opt/stack/old/nova/nova/openstack/common/importutils.py", line 29, in import_class\n return getattr(sys.modules[mod_str], class_str)\n', "AttributeError: 'module' object has no attribute 'LibvirtDriver'\n"])
2015-01-14 02:57:57.372 11745 TRACE nova.virt.driver

Since this is old grenade it'd be Juno code, looks like it just started:

http://logstash.openstack.org/#eyJzZWFyY2giOiJtZXNzYWdlOlwiSW1wb3J0RXJyb3I6IENsYXNzIExpYnZpcnREcml2ZXIgY2Fubm90IGJlIGZvdW5kXCIgQU5EIG1lc3NhZ2U6XCJBdHRyaWJ1dGVFcnJvcjogJ21vZHVsZScgb2JqZWN0IGhhcyBubyBhdHRyaWJ1dGUgJ0xpYnZpcnREcml2ZXJcIiBBTkQgdGFnczpcInNjcmVlbi1uLWNwdS50eHRcIiIsImZpZWxkcyI6W10sIm9mZnNldCI6MCwidGltZWZyYW1lIjoiNjA0ODAwIiwiZ3JhcGhtb2RlIjoiY291bnQiLCJ0aW1lIjp7InVzZXJfaW50ZXJ2YWwiOjB9LCJzdGFtcCI6MTQyMTIwNjc2MzE1OX0=

21 hits in the last 24 hours, all check right now but multiple changes, all failures.

Matt Riedemann (mriedem) wrote :
description: updated
Joe Gordon (jogo) wrote :

new eventlet today: http://paste.openstack.org/show/157558/

https://<email address hidden>/msg42926.html

https://pypi.python.org/pypi/eventlet/0.16.1 -- 2015-01-14

Dr. Jens Harbott (j-harbott) wrote :

There are reviews pending already for backporting this patch:

https://review.openstack.org/#/c/145955/
https://review.openstack.org/#/c/146096/

The new error messages look a bit different though, so I'm not yet certain that this is indeed the same error.

Matt Riedemann (mriedem) wrote :

Looks like eventlet was capped on the stable branches:

https://review.openstack.org/#/q/I4bbbeb5bf9c22ed36f5c9a74fec6b487d2c15697,n,z

yalei wang (yalei-wang) wrote :

is it fixed in the nova master branch?

I hit this error in the gate

causing check-grenade-dsvm

http://logs.openstack.org/20/143020/4/check/check-grenade-dsvm/155390a/logs/old/screen-n-cpu.txt.gz?level=INFO

Adam Gandelman (gandelman-a) wrote :

This is fixed in master. The failure is because its not yet fixed in the juno branch, from which the grenade test is upgrading. This should fix it once it lands: https://review.openstack.org/#/c/147334/

Thierry Carrez (ttx) on 2015-02-05
Changed in nova:
milestone: none → kilo-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in nova:
milestone: kilo-2 → 2015.1.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers